> For the complete documentation index, see [llms.txt](https://docs.paragontruss.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paragontruss.com/design/reference/analysis.md).

# Analysis

**Show Analog Model** - Display the truss's Analog Model generated for the analysis checks.

**Show Analog Panels** - Toggle whether analog panels are shown on top of the analog model.

**Display Forces Options** - Choose from a list of forces to display on the component for a specific load case. Choose a specific load case first from the list of load cases in the panel. See [Display Forces Options](/design/reference/display-forces.md) for a full description of the visuals each option enables.

**Show Loads** - Toggle the visibility of loads for the selected load case.

* There are distinct visuals for distributed and point loads
* The length of the arrow is scaled according to the relative magnitude of the load
* The direction of the arrow indicates the direction of the load
* The tip of the arrow is located near where each load is applied
  * If multiple loads are applied at the same location, their visuals are stacked on top of one another instead of overlaying them

**Boundary condition**: A boundary condition describes how an analog joint transfers force or moment with an external connection. Most commonly, the external connection is a bearing support.

**Unrestrained**: An analog joint that is not considered subject to external reactions.

**Restrained**: An analog joint that transfers either force or moment between the truss and external connections.

**Pinned:** A restrained joint that transfers force in all directions.

**Horizontal Roller:** A restrained joint that transfers force vertically, but not horizontally.

**Vertical Roller**: A restrained joint that transfers force horizontally, but not vertically.

**Fixed**: A restrained joint that transfers moment and force in all directions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paragontruss.com/design/reference/analysis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
